> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transactions



## OpenAPI

````yaml /openapi/finances.json get /v1/finances/transactions/
openapi: 3.0.3
info:
  title: Yume API — Транзакции
  version: 1.0.0
  description: Финансовые транзакции и обработка платежей.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/finances/transactions/:
    get:
      tags:
        - transactions
      summary: Get transactions
      operationId: transactions_list
      parameters:
        - in: query
          name: account
          schema:
            type: integer
        - in: query
          name: account__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: category
          schema:
            type: integer
        - in: query
          name: category__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: created_at__date__gte
          schema:
            type: string
            format: date
        - in: query
          name: created_at__date__lte
          schema:
            type: string
            format: date
        - in: query
          name: created_by
          schema:
            type: integer
        - in: query
          name: deposit
          schema:
            type: integer
        - in: query
          name: deposit__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: id
          schema:
            type: integer
        - in: query
          name: id__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: maintenance
          schema:
            type: integer
        - in: query
          name: maintenance__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: method
          schema:
            type: integer
            title: Способ
            enum:
              - 0
              - 1
          description: |-
            * `0` - Приход
            * `1` - Расход
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: pageSize
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: refund
          schema:
            type: integer
        - in: query
          name: refund__isnull
          schema:
            type: boolean
        - in: query
          name: request
          schema:
            type: integer
        - in: query
          name: request__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: sale
          schema:
            type: integer
        - in: query
          name: sale__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: statement
          schema:
            type: integer
        - in: query
          name: statement__isnull
          schema:
            type: boolean
        - in: query
          name: status
          schema:
            type: string
            title: Статус
            enum:
              - expired
              - failure
              - pending
              - success
          description: |-
            * `pending` - Ожидает оплаты
            * `success` - Успешно
            * `failure` - Ошибка
            * `expired` - Истёк срок
        - in: query
          name: status__in
          schema:
            type: array
            items:
              type: string
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: type
          schema:
            type: integer
        - in: query
          name: workshop
          schema:
            type: integer
        - in: query
          name: workshop__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedTransactionViewList'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    PaginatedTransactionViewList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/TransactionView'
    TransactionView:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
        kaspi:
          allOf:
            - $ref: '#/components/schemas/TransactionKaspi'
          readOnly: true
        kaspi_pay:
          type: boolean
          writeOnly: true
          default: false
        kaspi_phone:
          type: string
          writeOnly: true
          pattern: ^\d{10}$
        schedules:
          type: array
          items:
            type: integer
          writeOnly: true
        refund:
          allOf:
            - $ref: '#/components/schemas/TransactionRefund'
          readOnly: true
        images:
          type: array
          items:
            $ref: '#/components/schemas/ImageAttachment'
          readOnly: true
        files:
          type: array
          items:
            $ref: '#/components/schemas/FileAttachment'
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        method:
          allOf:
            - $ref: '#/components/schemas/MethodD33Enum'
          title: Способ
          minimum: -32768
          maximum: 32767
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Сумма
        status:
          allOf:
            - $ref: '#/components/schemas/StatusE73Enum'
          title: Статус
        extra:
          nullable: true
          title: Доп. данные
        comment:
          type: string
          nullable: true
          title: Комментарий
        tenant:
          type: integer
        exchange:
          type: integer
          nullable: true
          title: Связанный перевод
        type:
          type: integer
          nullable: true
          title: Способ оплаты
        created_by:
          type: integer
          readOnly: true
          nullable: true
          title: Создал
        account:
          type: integer
          nullable: true
          title: Счёт
        category:
          type: integer
          nullable: true
          title: Статья
        sale:
          type: integer
          nullable: true
          title: Продажа
        request:
          type: integer
          nullable: true
          title: Аренда
        workshop:
          type: integer
          nullable: true
          title: Задача сервиса
        maintenance:
          type: integer
          nullable: true
          title: Обслуживание
        deposit:
          type: integer
          nullable: true
          title: Залог
        penalty:
          type: integer
          nullable: true
          title: Штраф
        bonus:
          type: integer
          nullable: true
          title: Бонусная операция
        tags:
          type: array
          items:
            type: integer
      required:
        - created_by
        - files
        - id
        - images
        - kaspi
        - refund
        - updated_at
    TransactionKaspi:
      type: object
      properties:
        method:
          $ref: '#/components/schemas/TransactionKaspiMethodEnum'
        phone:
          type: string
          nullable: true
          maxLength: 32
        payment_id:
          type: string
          maxLength: 64
        status:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/TransactionKaspiStatusEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        qr_token:
          type: string
          nullable: true
        receipt_url:
          type: string
          nullable: true
      required:
        - payment_id
    TransactionRefund:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        reason:
          type: string
          nullable: true
      required:
        - id
    ImageAttachment:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        image:
          type: string
          format: uri
          nullable: true
        thumb:
          type: string
          format: uri
          readOnly: true
          nullable: true
        name:
          type: string
          readOnly: true
          nullable: true
        extension:
          type: string
          readOnly: true
        hash:
          type: string
          readOnly: true
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        created_by:
          type: integer
          readOnly: true
          nullable: true
        content_type:
          type: string
          title: Имя класса модели
        object_id:
          type: integer
          maximum: 9223372036854776000
          minimum: 0
          format: int64
        type:
          type: string
          nullable: true
          maxLength: 255
      required:
        - content_type
        - created_at
        - created_by
        - extension
        - hash
        - id
        - name
        - object_id
        - thumb
    FileAttachment:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        file:
          type: string
          format: uri
          nullable: true
        name:
          type: string
          readOnly: true
          nullable: true
        extension:
          type: string
          readOnly: true
        hash:
          type: string
          readOnly: true
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        created_by:
          type: integer
          readOnly: true
          nullable: true
        content_type:
          type: string
          title: Имя класса модели
        object_id:
          type: integer
          maximum: 9223372036854776000
          minimum: 0
          format: int64
        type:
          type: string
          nullable: true
          maxLength: 255
      required:
        - content_type
        - created_at
        - created_by
        - extension
        - hash
        - id
        - name
        - object_id
    MethodD33Enum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Приход
        * `1` - Расход
    StatusE73Enum:
      enum:
        - pending
        - success
        - failure
        - expired
      type: string
      description: |-
        * `pending` - Ожидает оплаты
        * `success` - Успешно
        * `failure` - Ошибка
        * `expired` - Истёк срок
    TransactionKaspiMethodEnum:
      enum:
        - qr
        - invoice
      type: string
      description: |-
        * `qr` - QR
        * `invoice` - Invoice
    TransactionKaspiStatusEnum:
      enum:
        - Processed
        - RemotePaymentRejected
        - CancelledByUser
        - NotConfirmedByUser
        - CancelledByExternalSource
        - ProcessingFailed
        - Error
        - InsufficientFunds
        - InsufficientFundsError
        - QrTokenDiscarded
        - IrisSrcBlockCode3
        - IrisSrcBlockCode1
        - IrisSrcBlockCode9
        - IrisDestBlockCode10
        - IrisDestBlockCode3
        - IrisDestBlockCode5
        - IrisDestBlockCode7
        - Default
      type: string
      description: >-
        * `Processed` - Платеж успешно совершен

        * `RemotePaymentRejected` - Оплата отклонена

        * `CancelledByUser` - Клиент отменил покупку

        * `NotConfirmedByUser` - Покупатель не подтвердил покупку

        * `CancelledByExternalSource` - Отмена покупки, попробуйте еще раз

        * `ProcessingFailed` - Произошла ошибка

        * `Error` - Отмена покупки, попробуйте еще раз

        * `InsufficientFunds` - Недостаточно средств

        * `InsufficientFundsError` - Недостаточно средств

        * `QrTokenDiscarded` - Клиент не отсканировал QR

        * `IrisSrcBlockCode3` - Покупка отклонена, свяжемся с покупателем в
        течение 5 минут

        * `IrisSrcBlockCode1` - Покупка отклонена, покупатель может обратиться в
        поддержку 9999

        * `IrisSrcBlockCode9` - Покупка отклонена, покупателю отправлено
        сообщение в Kaspi.kz

        * `IrisDestBlockCode10` - Продажи с Kaspi Red и Kredit отключены

        * `IrisDestBlockCode3` - Оплата невозможна в связи с прекращением
        сотрудничества

        * `IrisDestBlockCode5` - Принятие оплаты временно приостановлено

        * `IrisDestBlockCode7` - Лимит оплаты руководителя в своей организации
        превышен

        * `Default` - Ошибка, проверьте историю транзакций
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````